## Report Options

repada offers a variety of reports. These report options are used to turn the generation of specific reports on or off. These options are not applicable when using the single -text report.

If no report options are specified, all reports are turned on and will be generated. Specifying one or more reports to be “on” turns off all reports except those explicitly specified to be on. Specifying one or more reports to be “off” turn on all reports except those explicitly turned off. Each report option is listed below:

Report Option | Description
--- | ---
-rep_complexity [on|off] | Turn the Program Unit Complexity report on or off.
-rep_dec_not_used [on|off] | Turn the Unused Objects, Unused Program Units, and Unused Types reports on or off.
-rep_dectree [on|off] | Turn the Declaration Trees report on or off.
-rep_dict [on|off] | Turn the Data Dictionary report on or off.
-rep_exception [on|off] | Turn the Exception Cross Reference report on or off.
-rep_generic [on|off] | Turn the Generic Instantiation report on or off.
-rep_invtree [on|off] | Turn the Invocation report on or off.
-rep_metrics_file [on|off] | Turn the File Metrics report on or off.
-rep_metrics_project [on|off] | Turn the Project Metrics report on or off.
-rep_metrics_pu [on|off] | Turn the Program Unit Metrics report on or off.
-rep_metrics_pu_inclusive [on|off] | Turn the Program Unit Inclusive Metrics report on or off.
-rep_object [on|off] | Turn the Object Cross Reference report on or off.
-rep_program_unit [on|off] | Turn the Program Unit Cross Reference report on or off.
-rep_renames [on|off] | Turn the Renames report on or off.
-rep_simple_invtree [on|off] | Turn the Simple Invocation Tree report on or off.
-rep_simple_withtree [on|off] | Turn the Simple With Tree report on or off.
-rep_type [on|off] | Turn the Type Cross Reference report on or off.
-rep_withtree [on|off] | Turn the With Tree report on or off.
-rep_withs_not_needed [on|off] | Turn the Withs Not Needed report on or off.

Refer to Text and HTML Reports for more information on the different reports generated.

Scientific Toolworks, Inc. http://www.scitools.com